Package ru.bitel.bgbilling.modules.yoomoney.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.yoomoney.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction
Представление части информации о каждой транзакции (в БД), то, что возвращается в наш экзекутер при оплате (и это эе самое приходит при проверке).

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `static String`
  `getCancelComment(String who, String why)`
  Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
  `String`
  `getCardholderName()`
  `String`
  `getContractComment()`
  `String`
  `getPan()`
  `String`
  `getPaymentPayerCode()`
  `String`
  `getPaymentType()`
  `String`
  `getRawRequest()`
  `BigDecimal`
  `getShopSumAmount()`
  `String`
  `getYoomoneyId()`
  `Transaction`
  `setContractComment(String contractComment)`
  `void`
  `setPaymentPayerCode(String paymentPayerCode)`
  `void`
  `setPaymentType(String paymentType)`
  `void`
  `setRawRequest(String rawRequest)`
  `void`
  `setShopSumAmount(BigDecimal shopSumAmount)`
  `void`
  `setYoomoneyId(String yoomoneyId)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getContractId, getContractTitle, getCreateDate, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getShopSumAmount

    public BigDecimal getShopSumAmount()

  - ### setShopSumAmount

    public void setShopSumAmount(BigDecimal shopSumAmount)

  - ### getPaymentPayerCode

    public String getPaymentPayerCode()

  - ### setPaymentPayerCode

    public void setPaymentPayerCode(String paymentPayerCode)

  - ### setContractComment

    public Transaction setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### getContractComment

    public String getContractComment()
    Overrides:
      `getContractComment` in class `BGAbstractTransaction`

  - ### getPaymentType

    public String getPaymentType()

  - ### setPaymentType

    public void setPaymentType(String paymentType)

  - ### getRawRequest

    public String getRawRequest()

  - ### setRawRequest

    public void setRawRequest(String rawRequest)

  - ### getYoomoneyId

    public String getYoomoneyId()

  - ### setYoomoneyId

    public void setYoomoneyId(String yoomoneyId)

  - ### getPan

    public String getPan()
    Overrides:
      `getPan` in class `BGAbstractTransaction`

  - ### getCardholderName

    public String getCardholderName()
    Overrides:
      `getCardholderName` in class `BGAbstractTransaction`

  - ### getCancelComment

    public static String getCancelComment(String who, String why)
    Если платеж пришел с статусом Cancel, то можно попытаться узнать по какой причине.
    Parameters:
      `who` - - кто отменил. merchant - Продавец товаров и услуг (мы), yoomoney_checkout - Яндекс.Касса, payment_network - кто угодно. Пока не используется.
      `why` - - причина отказа

  - ### builder

    public static Transaction.Builder builder()